Subject: RE: B19: Gdb error when using 'stepi' to step into cygwinb19.dll
From: [email-masked] (Sven Dietrich)

2 Mar 1998 19:11:05 -0800
Message-ID: <[email-masked]>
To: [email-masked], [email-masked]

Nope, don't know what's going on yet ... but I have seen similar :

(in trying to port NTP to CygWin32)

And noticing that itimer stuff now seems to compile ??? 
* Is it or isn't it built into the libs? *

I got the 0x2000000 memory exception when calling select()
without timeout, and using signals (itimer) ...

It seems the signals do *SOMETHING* periodically, and continued
even after main crashed with that 0x2... exception...

I dunno how many things I am doing wrong, but they are FINITE!

S.

/*
 * Sven-Thorsten Dietrich
 * Software Component & Timing Solutions 
 * 
 * (408) 481-7289 (Voice)                  
 * (408) 481-2011 (Fax)
 */

> ----------
> From: 	[email-masked][SMTP:[email-masked]]
> Sent: 	Monday, March 02, 1998 12:14 AM
> To: 	[email-masked]
> Subject: 	B19: Gdb error when using 'stepi' to step into
> cygwinb19.dll
> 
> When trying to trace calls into cygwinb19.dll via the assembly stepi
> command
> you get the following error as soon as you execute one of the 'jmp
> *xxxxxxxx'
> instructions which jump to the actual routine in cygwinb19.dll:
>   0x2000000: Cannot access memory at address 0x2000000.
> 
> Does this have anything to do with that cygwinb19.dll now locates at a
> much
> higher address (0x10000000) as did cygwin.dll in b18 ?
> When trying to step into e.g. Kernel32.dll code gdb jumps over it,
> but that code is loaded at even higher addresses.
> 
> Same behaviour occurs when using the b18 gdb to debug a b19
> application.
> 
> Under b18 I could step into cygwin.dll code.
> 
> Does anybody know what is going on here ?
> 
> Ton van Overbeek, [email-masked]
> -
> For help on using this list (especially unsubscribing), send a message
> to
> "[email-masked]" with one line of text: "help".
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".